XMLDSSGraphElement
Keywords: uk.ac.bbk.dcs.automed.xml.xmldssGraph.XMLDSSGraphElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.xmldssGraph
Class XMLDSSGraphElement

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.xmldssGraph.XMLDSSGraphElement

    public class XMLDSSGraphElement

extends java.lang.Object

Class Task Description

Author:
  Lucas Zamboulis

Method Summary
`void` | `addAttribute(java.lang.String attName)`
`void` | `addChild(java.lang.Object o)`
`XMLDSSGraphAttribute` | `getAttribute(java.lang.String name)`
`java.util.HashSet` | `getAttributes()`
`java.util.LinkedList` | `getChildren()`
`java.util.LinkedList` | `getElementChildren()`
`java.lang.String` | `getNodeName()`
`int` | `getNodeOrder()`
`XMLDSSGraph` | `getOwnerGraph()`
`XMLDSSGraphElement` | `getParent()`
`java.util.LinkedList` | `getTextChildren()`
`void` | `setChildren(java.util.LinkedList children)`
`void` | `setNodeName(java.lang.String nodeName)`
`void` | `setOwnerGraph(XMLDSSGraph xg)`
`void` | `setParent(XMLDSSGraphElement parent)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getOwnerGraph

    public XMLDSSGraph getOwnerGraph()

### setOwnerGraph

    public void setOwnerGraph(XMLDSSGraph xg)

### getParent

    public XMLDSSGraphElement getParent()

### setParent

    public void setParent(XMLDSSGraphElement parent)
                   throws XMLDSSGraphException

  Throws:
    `XMLDSSGraphException`

### getChildren

    public java.util.LinkedList getChildren()

### setChildren

    public void setChildren(java.util.LinkedList children)

### getNodeName

    public java.lang.String getNodeName()

### setNodeName

    public void setNodeName(java.lang.String nodeName)
                     throws XMLDSSGraphException

  Throws:
    `XMLDSSGraphException`

### getAttributes

    public java.util.HashSet getAttributes()

### addAttribute

    public void addAttribute(java.lang.String attName)

### getAttribute

    public XMLDSSGraphAttribute getAttribute(java.lang.String name)

### addChild

    public void addChild(java.lang.Object o)
                  throws XMLDSSGraphException

  Throws:
    `XMLDSSGraphException`

### getNodeOrder

    public int getNodeOrder()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTextChildren

    public java.util.LinkedList getTextChildren()

### getElementChildren

    public java.util.LinkedList getElementChildren()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD